For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of pricing plan subscription groups
      • POSTCreate a pricing plan subscription group
      • GETGet a pricing plan subscription group by its ID
      • DELDelete a pricing plan subscription group by its ID
      • PATCHUpdate a pricing plan subscription group by its ID
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIPricing Plan Subscription Groups

Get a list of pricing plan subscription groups

GET
/v:version/pricing-plan-subscription-groups
GET
/v:version/pricing-plan-subscription-groups
$curl https://test.api.solvimon.com/v1/pricing-plan-subscription-groups \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "reference": "string",
7 "name": "string",
8 "description": "string",
9 "owner_customer_id": "string",
10 "owner_customer": {
11 "object_type": "string",
12 "id": "string",
13 "created_at": "string",
14 "parent_customer_id": "string",
15 "parent_customer_ids": [
16 "string"
17 ],
18 "reference": "string",
19 "status": "DRAFT",
20 "timezone": "string",
21 "type": "ORGANIZATION",
22 "email": "string",
23 "notification_preferences": [
24 {
25 "type": "INVOICE",
26 "channels": [
27 {
28 "type": "EMAIL",
29 "enabled": true
30 }
31 ]
32 }
33 ],
34 "locale": "string",
35 "individual": {
36 "name": {
37 "first_name": "string",
38 "last_name": "string",
39 "infix": "string"
40 },
41 "residential_address": {
42 "line1": "string",
43 "line2": "string",
44 "city": "string",
45 "postal_code": "string",
46 "state": "string",
47 "country": "AD"
48 }
49 },
50 "organization": {
51 "legal_name": "string",
52 "tax_id": "string",
53 "tax_ids": [
54 {
55 "id": "string",
56 "type": "GENERIC_TAX_ID",
57 "display_name": "string",
58 "tax_id_validation_result": {
59 "id": "string",
60 "validation_date": "string",
61 "source": "string",
62 "valid": "VALID",
63 "message": "string"
64 }
65 }
66 ],
67 "registration_number": "string",
68 "tax_exempt": true,
69 "tax_exempt_note": "string",
70 "registered_address": {
71 "line1": "string",
72 "line2": "string",
73 "city": "string",
74 "postal_code": "string",
75 "state": "string",
76 "country": "AD"
77 },
78 "tax_registrations": [
79 {
80 "id": "string",
81 "description": "string",
82 "tax_id": "string",
83 "tax_ids": [
84 {
85 "id": "string",
86 "type": "GENERIC_TAX_ID",
87 "display_name": "string",
88 "tax_id_validation_result": {
89 "id": "string",
90 "validation_date": "string",
91 "source": "string",
92 "valid": "VALID",
93 "message": "string"
94 }
95 }
96 ],
97 "registration_number": "string",
98 "registered_address": {
99 "line1": "string",
100 "line2": "string",
101 "city": "string",
102 "postal_code": "string",
103 "state": "string",
104 "country": "AD"
105 }
106 }
107 ]
108 },
109 "custom_fields": [
110 {
111 "id": "string",
112 "reference": "string",
113 "value": "string",
114 "values": [
115 "string"
116 ],
117 "integration_details": {
118 "id": "string",
119 "reference": "string",
120 "payment_gateway_variant": "ADYEN",
121 "adyen": {
122 "recurring_detail_reference": "string"
123 },
124 "stripe": {
125 "payment_method_id": "string"
126 }
127 }
128 }
129 ],
130 "processing_only": true,
131 "pricing_plan_subscription_selector": {
132 "data": [
133 {
134 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
135 "value": "string"
136 }
137 ],
138 "rules": [
139 {
140 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
141 "type": "EQUALS"
142 }
143 ],
144 "filters": [
145 {
146 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
147 "type": "EQUALS",
148 "value": "string"
149 }
150 ],
151 "fallback": "LATEST"
152 },
153 "linked_integrations": [
154 {
155 "id": "string",
156 "link_details": [
157 {
158 "url": "string",
159 "custom_field_name": "string"
160 }
161 ]
162 }
163 ],
164 "roles": [
165 "DEFAULT"
166 ],
167 "seller_details": {
168 "default_billing_entity_id": "string"
169 }
170 },
171 "pricing_plan_subscription_ids": [
172 "string"
173 ]
174 }
175 ],
176 "links": {
177 "first": "string",
178 "previous": "string",
179 "current": "string",
180 "next": "string"
181 },
182 "page": 1,
183 "limit": 1,
184 "total_number_of_pages": 1
185}

Requires the PRICING_PLAN_SUBSCRIPTION_GROUP.VIEW permission.

Was this page helpful?
Previous

Create a pricing plan subscription group

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

owner_customer_idstringOptional
The id of the customer that owns this pricing plan subscription group
start_atstringOptional

Range filter for the start_at of the first schedule in the pricing plan subscription (ISO-8601).

created_atstringOptional

Range filter for the created_at in the pricing plan subscription (ISO-8601).

pageintegerOptional
The page which is going to be shown
limitintegerOptional
The amount of records shown in the list
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.
expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.

Response

OK
datalist of objects
linksobject
pageinteger or null
limitinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error